package com.engine.salary.mapper.auth;

import com.engine.salary.entity.auth.po.AuthOptPO;
import org.apache.ibatis.annotations.Param;

import java.util.Collection;
import java.util.List;

public interface AuthOptMapper {

	/**
     * 查询所有记录
     *
     * @return 返回集合，没有返回空List
     */
	List<AuthOptPO> listAll();
    
    /**
     * 条件查询
     *
     * @return 返回集合，没有返回空List
     */
    List<AuthOptPO> listSome(AuthOptPO authOpt);
    

	/**
     * 根据主键查询
     *
     * @param id 主键
     * @return 返回记录，没有返回null
     */
	AuthOptPO getById(Long id);
	
	/**
     * 新增，忽略null字段
     *
     * @param authOpt 新增的记录
     * @return 返回影响行数
     */
	int insertIgnoreNull(AuthOptPO authOpt);

	/**
     * 修改，修改所有字段
     *
     * @param authOpt 修改的记录
     * @return 返回影响行数
     */
	int update(AuthOptPO authOpt);
	
	/**
     * 修改，忽略null字段
     *
     * @param authOpt 修改的记录
     * @return 返回影响行数
     */
	int updateIgnoreNull(AuthOptPO authOpt);
	
	/**
     * 删除记录
     *
     * @param authOpt 待删除的记录
     * @return 返回影响行数
     */
	int delete(AuthOptPO authOpt);
    
    /**
     * 批量删除记录
     * @param ids 主键id集合
     */
    void deleteByIds(@Param("ids") Collection<Long> ids);


	/**
	 * 根据角色id删除
	 * @param roleId roleId
	 */
	void deleteByRoleId(Long roleId);
	
}